HTTP/1.1 200 OK
Content-Type: text/javascript


function VisualizationThread (){
	if (ModbusReg.ready)
	{
		ModbusReg.ready = false;
	}
	if (!ModbusReg.autostartVisThread)
		setTimeout("VisualizationThread()", 2000);
	ModbusReg.autostartVisThread = false; 	//wyłączenie automatycznego odpalania funkcji po uzupełnieniu tablicy
}

//default return false to hide Visualisation menu button
function VisualizationIsActive()
{
	//return true; //uncomment this, if virtualization is implemented
	return false;
}

var resizeVis = function()
{
	var scale=$_("topBar").offsetWidth / 1550;
	if (scale > 1)
	{	scale = 1;
		$_("tab-vis").style.top = 38;
	}
	else
	{
		if ($_("topBar").offsetWidth > 1000)
			$_("tab-vis").style.top = 38;
		else if ($_("topBar").offsetWidth > 800)
			$_("tab-vis").style.top = -80;
		else if ($_("topBar").offsetWidth > 600)
			$_("tab-vis").style.top = -120;
		else 
			$_("tab-vis").style.top = -140;
	}
	// Code for Chrome, Safari, Opera
	$_("tab-vis").style.WebkitTransform = "scale("+ scale +")";
	// Code for IE9
	$_("tab-vis").style.msTransform = "scale("+ scale +")";
	// Standard syntax
	$_("tab-vis").style.transform = "scale("+ scale +")";
	//if (scale < 1)
}
var loadedFileVis = true;